# Uses of Class
com.logicaldoc.core.threading.ThreadPoolNotAvailableException

Packages that use ThreadPoolNotAvailableException
Package
Description
com.logicaldoc.core.threading
Some utility objects for threads and executions

## Uses of ThreadPoolNotAvailableException in com.logicaldoc.core.threading

Methods in com.logicaldoc.core.threading that throw ThreadPoolNotAvailableException
Modifier and Type
Method
Description
`ThreadPoolExecutor`
ThreadPools.`getPool(String name)`
Gets a new thread pool and in case it does not exist a new one will be created and then cached.